Get Wallet Balance

Use this API to retrieve the wallet balance details for your partner application. This endpoint provides current balance, currency, and overdraft limit information for billing and financial monitoring.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘
  1. App must belong to authenticated user
  2. Rate limit: 10 requests per second

Parameters

ParametersValueDescription
Authorization{{PARTNER_APP_TOKEN}}Access Token for the application
appId{{APP_ID}}Unique Identifier for Gupshup App

Sample Request

curl --location --request GET 'https://partner.gupshup.io/partner/app/{{APP_ID}}/wallet/balance' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}'

Sample Response

{
  "status": "success",
  "walletResponse": {
    "currency": "USD",
    "currentBalance": ***.**,
    "overDraftLimit": 0
  }
}
Path Params
string
required
Headers
string
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!